--- a/drivers/acorn/block/fd1772.c
+++ b/drivers/acorn/block/fd1772.c
@@ -124,6 +124,8 @@
  *                Minor parameter, name layouts for 2.4.x differences
  */
 
+#undef DEBUG /* define to enable debugging statements */
+
 #include <linux/sched.h>
 #include <linux/fs.h>
 #include <linux/fcntl.h>
@@ -165,13 +167,6 @@
 /* Ditto worries for Arc - DAG */
 #define FD_MAX_UNITS 4
 #define TRACKBUFFER 0
-/*#define DEBUG*/
-
-#ifdef DEBUG
-#define DPRINT(a)	printk a
-#else
-#define DPRINT(a)
-#endif
 
 static struct request_queue *floppy_queue;
 
@@ -180,6 +175,9 @@ static struct request_queue *floppy_queu
 #define DEVICE_NAME "floppy"
 #define QUEUE (floppy_queue)
 #define CURRENT elv_next_request(floppy_queue)
+#define PFX DEVICE_NAME ": "
+
+#define DBG(fmt, args...) pr_debug(PFX "%s: " fmt, __FUNCTION__ , ## args)
 
 /* Disk types: DD */
 static struct archy_disk_type {
@@ -240,9 +238,9 @@ extern volatile int fdc1772_fdc_int_done
 void FDC1772_WRITE(int reg, unsigned char val)
 {
 	if (reg == FDC1772REG_CMD) {
-		DPRINT(("FDC1772_WRITE new command 0x%x @ %d\n", val,jiffies));
+		DBG("new command 0x%x @ %d\n", val,jiffies);
 		if (fdc1772_fdc_int_done) {
-			DPRINT(("FDC1772_WRITE: Hmm fdc1772_fdc_int_done true - resetting\n"));
+			DBG("Hmm fdc1772_fdc_int_done true - resetting\n");
 			fdc1772_fdc_int_done = 0;
 		};
 	};
@@ -405,9 +403,7 @@ static void fd_select_side(int side)
 
 static void fd_select_drive(int drive)
 {
-#ifdef DEBUG
-	printk("fd_select_drive:%d\n", drive);
-#endif
+	DBG("%d\n", drive);
 	/* Hmm - nowhere do we seem to turn the motor on - I'm going to do it here! */
 	oldlatch_aupdate(LATCHA_MOTOR | LATCHA_INUSE, 0);
 
@@ -430,7 +426,7 @@ static void fd_deselect(void)
 {
 	unsigned long flags;
 
-	DPRINT(("fd_deselect\n"));
+	DBG("start\n");
 
 	oldlatch_aupdate(LATCHA_FDSELALL | LATCHA_MOTOR | LATCHA_INUSE, 0xf | LATCHA_MOTOR | LATCHA_INUSE);
 
@@ -470,7 +466,7 @@ static void fd_motor_off_timer(unsigned 
 		 * off on the Arc, since the motor control is actually on
 		 * Latch A
 		 */
-		DPRINT(("fdc1772: deselecting in fd_motor_off_timer\n"));
+		DBG("deselecting\n");
 		fd_deselect();
 		MotorOn = 0;
 		restore_flags(flags);
@@ -519,7 +515,7 @@ static void check_change(unsigned long d
 		/* The idea here is that if the write protect line has changed then
 		the disc must have changed */
 		if (stat != unit[drive].wpstat) {
-			DPRINT(("wpstat[%d] = %d\n", drive, stat));
+			DBG("wpstat[%d] = %d\n", drive, stat);
 			unit[drive].wpstat = stat;
 			set_bit(drive, &changed_floppies);
 		}
@@ -575,12 +571,13 @@ static void floppy_irqconsequencehandler
 	if (handler) {
 		nop();
 		status = (unsigned char) fdc1772_comendstatus;
-		DPRINT(("FDC1772 irq, status = %02x handler = %08lx\n", (unsigned int) status, (unsigned long) handler));
+		DBG("status = %02x handler = %08lx\n", (unsigned int) status,
+			(unsigned long) handler);
 		handler(status);
 	} else {
-		DPRINT(("FDC1772 irq, no handler status=%02x\n", fdc1772_comendstatus));
+		DBG("no handler status=%02x\n", fdc1772_comendstatus);
 	}
-	DPRINT(("FDC1772 irq: end of floppy_irq\n"));
+	DBG("end\n");
 }
 
 
@@ -590,16 +587,16 @@ static void floppy_irqconsequencehandler
 
 static void fd_error(void)
 {
-	printk("FDC1772: fd_error\n");
+	DBG("start\n");
 	/*panic("fd1772: fd_error"); *//* DAG tmp */
 	if (!CURRENT)
 		return;
 	CURRENT->errors++;
 	if (CURRENT->errors >= MAX_ERRORS) {
-		printk("fd%d: too many errors.\n", SelectedDrive);
+		printk(KERN_ERR "fd%d: too many errors, giving up\n", SelectedDrive);
 		end_request(CURRENT, 0);
 	} else if (CURRENT->errors == RECALIBRATE_ERRORS) {
-		printk("fd%d: recalibrating\n", SelectedDrive);
+		printk(KERN_ERR "fd%d: error, recalibrating...\n", SelectedDrive);
 		if (SelectedDrive != -1)
 			unit[SelectedDrive].track = -1;
 	}
@@ -623,7 +620,7 @@ static void fd_error(void)
 static void do_fd_action(int drive)
 {
 	struct request *req;
-	DPRINT(("do_fd_action unit[drive].track=%d\n", unit[drive].track));
+	DBG("unit[drive].track=%d\n", unit[drive].track);
 
 #ifdef TRACKBUFFER
 repeat:
@@ -671,12 +668,12 @@ repeat:
 
 static void fd_calibrate(void)
 {
-	DPRINT(("fd_calibrate\n"));
+	DBG("start\n");
 	if (unit[SelectedDrive].track >= 0) {
 		fd_calibrate_done(0);
 		return;
 	}
-	DPRINT(("fd_calibrate (after track compare)\n"));
+	DBG("(after track compare)\n");
 	SET_IRQ_HANDLER(fd_calibrate_done);
 	/* we can't verify, since the speed may be incorrect */
 	FDC1772_WRITE(FDC1772REG_CMD, FDC1772CMD_RESTORE | unit[SelectedDrive].steprate);
@@ -690,12 +687,12 @@ static void fd_calibrate(void)
 
 static void fd_calibrate_done(int status)
 {
-	DPRINT(("fd_calibrate_done()\n"));
+	DBG("start\n");
 	STOP_TIMEOUT();
 
 	/* set the correct speed now */
 	if (status & FDC1772STAT_RECNF) {
-		printk("fd%d: restore failed\n", SelectedDrive);
+		printk(KERN_ERR "fd%d: restore failed\n", SelectedDrive);
 		fd_error();
 	} else {
 		unit[SelectedDrive].track = 0;
@@ -711,8 +708,8 @@ static void fd_calibrate_done(int status
 static void fd_seek(void)
 {
 	unsigned long flags;
-	DPRINT(("fd_seek() to track %d (unit[SelectedDrive].track=%d)\n", ReqTrack,
-		unit[SelectedDrive].track));
+	DBG("to track %d (unit[SelectedDrive].track=%d)\n", ReqTrack,
+		unit[SelectedDrive].track);
 	if (unit[SelectedDrive].track == ReqTrack <<
 	    unit[SelectedDrive].disktype->stretch) {
 		fd_seek_done(0);
@@ -738,12 +735,12 @@ static void fd_seek(void)
 
 static void fd_seek_done(int status)
 {
-	DPRINT(("fd_seek_done()\n"));
+	DBG("start\n");
 	STOP_TIMEOUT();
 
 	/* set the correct speed */
 	if (status & FDC1772STAT_RECNF) {
-		printk("fd%d: seek error (to track %d)\n",
+		printk(KERN_ERR "fd%d: seek error (to track %d)\n",
 		       SelectedDrive, ReqTrack);
 		/* we don't know exactly which track we are on now! */
 		unit[SelectedDrive].track = -1;
@@ -772,7 +769,7 @@ static void fd_rwsec(void)
 	unsigned int rwflag, old_motoron;
 	unsigned int track;
 
-	DPRINT(("fd_rwsec(), Sec=%d, Access=%c\n", ReqSector, ReqCmd == WRITE ? 'w' : 'r'));
+	DBG("Sec=%d, Access=%c\n", ReqSector, ReqCmd == WRITE ? 'w' : 'r');
 	if (ReqCmd == WRITE) {
 		/*cache_push( (unsigned long)ReqData, 512 ); */
 		paddr = (unsigned long) ReqData;
@@ -786,11 +783,11 @@ static void fd_rwsec(void)
 		rwflag = 0;
 	}
 
-	DPRINT(("fd_rwsec() before sidesel rwflag=%d sec=%d trk=%d\n", rwflag,
-		ReqSector, FDC1772_READ(FDC1772REG_TRACK)));
+	DBG("before sidesel rwflag=%d sec=%d trk=%d\n", rwflag,
+		ReqSector, FDC1772_READ(FDC1772REG_TRACK));
 	fd_select_side(ReqSide);
 
-	/*DPRINT(("fd_rwsec() before start sector \n")); */
+	/*DBG("before start sector\n"); */
 	/* Start sector of this operation */
 #ifdef TRACKBUFFER
 	FDC1772_WRITE( FDC1772REG_SECTOR, !read_track ? ReqSector : 1 );
@@ -806,7 +803,7 @@ static void fd_rwsec(void)
 	}
 	udelay(25);
 
-	DPRINT(("fd_rwsec() before setup DMA \n"));
+	DBG("before setup DMA\n");
 	/* Setup DMA - Heavily modified by DAG */
 	save_flags(flags);
 	clf();
@@ -834,7 +831,7 @@ static void fd_rwsec(void)
 		));
 
 	restore_flags(flags);
-	DPRINT(("fd_rwsec() after DMA setup flags=0x%08x\n", flags));
+	DBG("after DMA setup flags=0x%08x\n", flags);
 	/*sti(); *//* DAG - Hmm */
 	/* Hmm - should do something DAG */
 	old_motoron = MotorOn;
@@ -853,15 +850,15 @@ static void fd_rwsec(void)
 		 */
 		/* 1 rot. + 5 rot.s if motor was off  */
 		mod_timer(&readtrack_timer, jiffies + HZ/5 + (old_motoron ? 0 : HZ));
-		DPRINT(("Setting readtrack_timer to %d @ %d\n",
-			readtrack_timer.expires,jiffies));
+		DBG("setting readtrack_timer to %d @ %d\n",
+			readtrack_timer.expires,jiffies);
 		MultReadInProgress = 1;
 	}
 #endif
 
-	/*DPRINT(("fd_rwsec() before START_TIMEOUT \n")); */
+	/*DBG("before START_TIMEOUT\n"); */
 	START_TIMEOUT();
-	/*DPRINT(("fd_rwsec() after START_TIMEOUT \n")); */
+	/*DBG("after START_TIMEOUT\n"); */
 }
 
 
@@ -872,7 +869,7 @@ static void fd_readtrack_check(unsigned 
 	unsigned long flags, addr;
 	extern unsigned char *fdc1772_dataaddr;
 
-	DPRINT(("fd_readtrack_check @ %d\n",jiffies));
+	DBG("%d jiffies\n", jiffies);
 
 	save_flags(flags);
 	clf();
@@ -892,7 +889,7 @@ static void fd_readtrack_check(unsigned 
 
 	/* get the current DMA address */
 	addr=(unsigned long)fdc1772_dataaddr; /* DAG - ? */
-	DPRINT(("fd_readtrack_check: addr=%x PhysTrackBuffer=%x\n",addr,PhysTrackBuffer));
+	DBG("addr=%x PhysTrackBuffer=%x\n",addr,PhysTrackBuffer);
 
 	if (addr >= (unsigned int)PhysTrackBuffer + unit[SelectedDrive].disktype->spt*512) {
 		/* already read enough data, force an FDC interrupt to stop
@@ -900,7 +897,7 @@ static void fd_readtrack_check(unsigned 
 		 */
 		SET_IRQ_HANDLER( NULL );
 		restore_flags(flags);
-		DPRINT(("fd_readtrack_check(): done\n"));
+		DBG("done\n");
 		FDC1772_WRITE( FDC1772REG_CMD, FDC1772CMD_FORCI );
 		udelay(25);
 
@@ -911,7 +908,7 @@ static void fd_readtrack_check(unsigned 
 	} else {
 		/* not yet finished, wait another tenth rotation */
 		restore_flags(flags);
-		DPRINT(("fd_readtrack_check(): not yet finished\n"));
+		DBG("not yet finished\n");
 		readtrack_timer.expires = jiffies + HZ/5/10;
 		add_timer( &readtrack_timer );
 	}
@@ -923,7 +920,7 @@ static void fd_rwsec_done(int status)
 {
 	unsigned int track;
 
-	DPRINT(("fd_rwsec_done() status=%d @ %d\n", status,jiffies));
+	DBG("status=%d @ %d\n", status,jiffies);
 
 #ifdef TRACKBUFFER
 	if (read_track && !MultReadInProgress)
@@ -945,7 +942,7 @@ static void fd_rwsec_done(int status)
 			      unit[SelectedDrive].disktype->stretch);
 	}
 	if (ReqCmd == WRITE && (status & FDC1772STAT_WPROT)) {
-		printk("fd%d: is write protected\n", SelectedDrive);
+		printk(KERN_ERR "fd%d: is write protected\n", SelectedDrive);
 		goto err_end;
 	}
 	if ((status & FDC1772STAT_RECNF)
@@ -982,17 +979,17 @@ static void fd_rwsec_done(int status)
 			do_fd_action(SelectedDrive);
 			return;
 		}
-		printk("fd%d: sector %d not found (side %d, track %d)\n",
+		printk(KERN_ERR "fd%d: sector %d not found (side %d, track %d)\n",
 		       SelectedDrive, FDC1772_READ(FDC1772REG_SECTOR), ReqSide, ReqTrack);
 		goto err_end;
 	}
 	if (status & FDC1772STAT_CRC) {
-		printk("fd%d: CRC error (side %d, track %d, sector %d)\n",
+		printk(KERN_ERR "fd%d: CRC error (side %d, track %d, sector %d)\n",
 		       SelectedDrive, ReqSide, ReqTrack, FDC1772_READ(FDC1772REG_SECTOR));
 		goto err_end;
 	}
 	if (status & FDC1772STAT_LOST) {
-		printk("fd%d: lost data (side %d, track %d, sector %d)\n",
+		printk(KERN_ERR "fd%d: lost data (side %d, track %d, sector %d)\n",
 		       SelectedDrive, ReqSide, ReqTrack, FDC1772_READ(FDC1772REG_SECTOR));
 		goto err_end;
 	}
@@ -1046,7 +1043,7 @@ static void fd_times_out(unsigned long d
 	FDC1772_WRITE(FDC1772REG_CMD, FDC1772CMD_FORCI);
 	udelay(25);
 
-	printk("floppy timeout\n");
+	printk(KERN_WARNING "floppy timeout\n");
 	STOP_TIMEOUT();		/* hmm - should we do this ? */
 	fd_error();
 }
@@ -1068,7 +1065,7 @@ static void finish_fdc(void)
 	if (!NeedSeek) {
 		finish_fdc_done(0);
 	} else {
-		DPRINT(("finish_fdc: dummy seek started\n"));
+		DBG("dummy seek started\n");
 		FDC1772_WRITE(FDC1772REG_DATA, unit[SelectedDrive].track);
 		SET_IRQ_HANDLER(finish_fdc_done);
 		FDC1772_WRITE(FDC1772REG_CMD, FDC1772CMD_SEEK);
@@ -1086,7 +1083,7 @@ static void finish_fdc_done(int dummy)
 {
 	unsigned long flags;
 
-	DPRINT(("finish_fdc_done entered\n"));
+	DBG("start\n");
 	STOP_TIMEOUT();
 	NeedSeek = 0;
 
@@ -1109,7 +1106,7 @@ static void finish_fdc_done(int dummy)
 	wake_up(&fdc_wait);
 	restore_flags(flags);
 
-	DPRINT(("finish_fdc() finished\n"));
+	DBG("end\n");
 }
 
 
@@ -1189,8 +1186,8 @@ static void setup_req_params(int drive)
 	read_track = (ReqCmd == READ && CURRENT->errors == 0);
 #endif
 
-	DPRINT(("Request params: Si=%d Tr=%d Se=%d Data=%08lx\n", ReqSide,
-		ReqTrack, ReqSector, (unsigned long) ReqData));
+	DBG("Request params: Si=%d Tr=%d Se=%d Data=%08lx\n", ReqSide,
+		ReqTrack, ReqSector, (unsigned long) ReqData);
 }
 
 
@@ -1199,9 +1196,9 @@ static void redo_fd_request(void)
 	int drive, type;
 	struct archy_floppy_struct *floppy;
 
-	DPRINT(("redo_fd_request: CURRENT=%p dev=%s CURRENT->sector=%ld\n",
+	DBG("CURRENT=%p dev=%s CURRENT->sector=%ld\n"
 		CURRENT, CURRENT ? CURRENT->rq_disk->disk_name : "",
-		CURRENT ? CURRENT->sector : 0));
+		CURRENT ? CURRENT->sector : 0);
 
 repeat:
 
@@ -1214,7 +1211,7 @@ repeat:
 
 	if (!floppy->connected) {
 		/* drive not connected */
-		printk("Unknown Device: fd%d\n", drive);
+		printk(KERN_ERR "Unknown Device: fd%d\n", drive);
 		end_request(CURRENT, 0);
 		goto repeat;
 	}
@@ -1229,7 +1226,7 @@ repeat:
 		/* user supplied disk type */
 		--type;
 		if (type >= NUM_DISK_TYPES) {
-			printk("fd%d: invalid disk format", drive);
+			printk(KERN_ERR "fd%d: invalid disk format", drive);
 			end_request(CURRENT, 0);
 			goto repeat;
 		}
@@ -1275,7 +1272,7 @@ static void do_fd_request(request_queue_
 {
 	unsigned long flags;
 
-	DPRINT(("do_fd_request for pid %d\n", current->pid));
+	DBG("pid %d\n", current->pid);
 	if (fdc_busy) return;
 	save_flags(flags);
 	cli();
@@ -1354,7 +1351,7 @@ static int fd_test_drive_present(int dri
 	unsigned char status;
 	int ok;
 
-	printk("fd_test_drive_present %d\n", drive);
+	DBG("drive %d\n", drive);
 	if (drive > 1)
 		return (0);
 	return (1);		/* Simple hack for the moment - the autodetect doesn't seem to work on arc */
@@ -1392,15 +1389,15 @@ static int fd_test_drive_present(int dri
 		/* dummy seek command to make WP bit accessible */
 		FDC1772_WRITE(FDC1772REG_DATA, 0);
 		FDC1772_WRITE(FDC1772REG_CMD, FDC1772CMD_SEEK);
-		printk("fd_test_drive_present: just before wait for int\n");
+		DBG("just before wait for int\n");
 		/* DAG: Guess means wait for interrupt */
 		while (!(ioc_readb(IOC_FIQSTAT) & 2));
-		printk("fd_test_drive_present: just after wait for int\n");
+		DBG("just after wait for int\n");
 		status = FDC1772_READ(FDC1772REG_STATUS);
 	}
-	printk("fd_test_drive_present: just before ENABLE_IRQ\n");
+	DBG("just before ENABLE_IRQ\n");
 	ENABLE_IRQ();
-	printk("fd_test_drive_present: about to return\n");
+	DBG("about to return\n");
 	return (ok);
 }
 
@@ -1413,14 +1410,15 @@ static void config_types(void)
 {
 	int drive, cnt = 0;
 
-	printk("Probing floppy drive(s):\n");
+	pr_info("Probing floppy drive(s):");
 	for (drive = 0; drive < FD_MAX_UNITS; drive++) {
 		fd_probe(drive);
 		if (unit[drive].connected) {
-			printk("fd%d\n", drive);
+			printk(" fd%d", drive);
 			++cnt;
 		}
 	}
+	printk ("\n");
 
 	if (FDC1772_READ(FDC1772REG_STATUS) & FDC1772STAT_BUSY) {
 		/* If FDC1772 is still busy from probing, give it another FORCI
@@ -1490,7 +1488,7 @@ static int floppy_release(struct inode *
 	if (fd_ref[drive] < 0)
 		fd_ref[drive] = 0;
 	else if (!fd_ref[drive]--) {
-		printk("floppy_release with fd_ref == 0");
+		printk(KERN_WARNING "floppy_release with fd_ref == 0\n");
 		fd_ref[drive] = 0;
 	}
 
@@ -1535,12 +1533,12 @@ int fd1772_init(void)
 
 	err = -EBUSY;
 	if (request_dma(FLOPPY_DMA, "fd1772")) {
-		printk("Unable to grab DMA%d for the floppy (1772) driver\n", FLOPPY_DMA);
+		printk(KERN_ERR "Unable to grab DMA%d for the floppy (1772) driver\n", FLOPPY_DMA);
 		goto err_blkdev;
 	};
 
 	if (request_dma(FIQ_FD1772, "fd1772 end")) {
-		printk("Unable to grab DMA%d for the floppy (1772) driver\n", FIQ_FD1772);
+		printk(KERN_ERR "Unable to grab DMA%d for the floppy (1772) driver\n", FIQ_FD1772);
 		goto err_dma1;
 	};
 
--- a/drivers/acorn/block/mfmhd.c
+++ b/drivers/acorn/block/mfmhd.c
@@ -98,6 +98,8 @@
  *  This would be a performance boost with dual drive systems.
  */
 
+#undef DEBUG /* define to enable debugging statements */
+
 #include <linux/module.h>
 #include <linux/config.h>
 #include <linux/sched.h>
@@ -126,6 +128,7 @@ static void (*do_mfm)(void) = NULL;
 static struct request_queue *mfm_queue;
 static DEFINE_SPINLOCK(mfm_lock);
 
+#define PFX "mfm: "
 #define MAJOR_NR	MFM_ACORN_MAJOR
 #define QUEUE (mfm_queue)
 #define CURRENT elv_next_request(mfm_queue)
@@ -140,12 +143,7 @@ static DEFINE_SPINLOCK(mfm_lock);
  * Linux I/O address of onboard MFM controller or 0 to disable this
  */
 #define ONBOARD_MFM_ADDRESS ((0x002d0000 >> 2) | 0x80000000)
-/*
- * Uncomment this to enable debugging in the MFM driver...
- */
-#ifndef DEBUG
-/*#define DEBUG */
-#endif
+
 /*
  * End of configuration
  */
@@ -287,28 +285,8 @@ int number_mfm_drives = 1;
 #define STAT_POL	0x0200	/* Polling */
 
 /* ------------------------------------------------------------------------------------------ */
-#ifdef DEBUG
-static void console_printf(const char *fmt,...)
-{
-	static char buffer[2048];	/* Arbitary! */
-	extern void console_print(const char *);
-	unsigned long flags;
-	va_list ap;
-
-	local_irq_save(flags);
-
-	va_start(ap, fmt);
-	vsprintf(buffer, fmt, ap);
-	console_print(buffer);
-	va_end(fmt);
 
-	local_irq_restore(flags);
-};	/* console_printf */
-
-#define DBG(x...) console_printf(x)
-#else
-#define DBG(x...)
-#endif
+#define DBG(fmt, args...) pr_debug(PFX "%s: " fmt, __FUNCTION__ , ## args)
 
 static void print_status(void)
 {
@@ -364,23 +342,23 @@ static void issue_command(int command, u
 	int status;
 #ifdef DEBUG
 	int i;
-	console_printf("issue_command: %02X: ", command);
+	DBG("%02X:", command);
 	for (i = 0; i < len; i++)
-		console_printf("%02X ", cmdb[i]);
-	console_printf("\n");
+		printk(" %02X", cmdb[i]);
+	printk("\n");
 #endif
 
 	do {
 		status = inw(MFM_STATUS);
 	} while (status & (STAT_BSY | STAT_POL));
-	DBG("issue_command: status after pol/bsy loop: %02X:\n ", status >> 8);
+	DBG("status after pol/bsy loop: %02X:\n", status >> 8);
 
 	if (status & (STAT_CPR | STAT_CED | STAT_SED | STAT_DER | STAT_ABN)) {
 		outw(CMD_RCAL, MFM_COMMAND);
 		while (inw(MFM_STATUS) & STAT_BSY);
 	}
 	status = inw(MFM_STATUS);
-	DBG("issue_command: status before parameter issue: %02X:\n ", status >> 8);
+	DBG("status before parameter issue: %02X:\n", status >> 8);
 
 	while (len > 0) {
 		outw(cmdb[1] | (cmdb[0] << 8), MFM_DATAOUT);
@@ -388,11 +366,11 @@ static void issue_command(int command, u
 		cmdb += 2;
 	}
 	status = inw(MFM_STATUS);
-	DBG("issue_command: status before command issue: %02X:\n ", status >> 8);
+	DBG("status before command issue: %02X:\n", status >> 8);
 
 	outw(command, MFM_COMMAND);
 	status = inw(MFM_STATUS);
-	DBG("issue_command: status immediately after command issue: %02X:\n ", status >> 8);
+	DBG("status immediately after command issue: %02X:\n", status >> 8);
 }
 
 static void wait_for_completion(void)
@@ -421,7 +399,7 @@ static void mfm_rw_intr(void)
 {
 	int old_status;		/* Holds status on entry, we read to see if the command just finished */
 #ifdef DEBUG
-	console_printf("mfm_rw_intr...dataleft=%d\n", hdc63463_dataleft);
+	DBG("dataleft=%d ", hdc63463_dataleft);
 	print_status();
 #endif
 
@@ -430,7 +408,7 @@ static void mfm_rw_intr(void)
 		/* Something has gone wrong - let's try that again */
 		outw(CMD_RCAL, MFM_COMMAND);	/* Clear interrupt condition */
 		if (cont) {
-			DBG("mfm_rw_intr: DER/ABN err\n");
+			DBG("DER/ABN err\n");
 			cont->error();
 			cont->redo();
 		};
@@ -444,7 +422,7 @@ static void mfm_rw_intr(void)
 	if (CURRENT->cmd == WRITE) {
 		extern void hdc63463_writedma(void);
 		if ((hdc63463_dataleft <= 0) && (!(mfm_status & STAT_CED))) {
-			printk("mfm_rw_intr: Apparent DMA write request when no more to DMA\n");
+			printk(KERN_WARNING PFX "mfm_rw_intr: Apparent DMA write request when no more to DMA\n");
 			if (cont) {
 				cont->error();
 				cont->redo();
@@ -455,7 +433,7 @@ static void mfm_rw_intr(void)
 	} else {
 		extern void hdc63463_readdma(void);
 		if ((hdc63463_dataleft <= 0) && (!(mfm_status & STAT_CED))) {
-			printk("mfm_rw_intr: Apparent DMA read request when no more to DMA\n");
+			printk(KERN_WARNING PFX "mfm_rw_intr: Apparent DMA read request when no more to DMA\n");
 			if (cont) {
 				cont->error();
 				cont->redo();
@@ -469,7 +447,7 @@ static void mfm_rw_intr(void)
 	if (hdc63463_dataptr != ((unsigned int) Copy_buffer + 256)) {
 		/* If we didn't actually manage to get any data on this interrupt - but why? We got the interrupt */
 		/* Ah - well looking at the status its just when we get command end; so no problem */
-		/*console_printf("mfm: dataptr mismatch. dataptr=0x%08x Copy_buffer+256=0x%08p\n",
+		/*DBG("dataptr mismatch. dataptr=0x%08x Copy_buffer+256=0x%08p ",
 		   hdc63463_dataptr,Copy_buffer+256);
 		   print_status(); */
 	} else {
@@ -479,7 +457,7 @@ static void mfm_rw_intr(void)
 
 		/* We have come to the end of this request */
 		if (!Sectors256LeftInCurrent) {
-			DBG("mfm: end_request for CURRENT=0x%p CURRENT(sector=%d current_nr_sectors=%d nr_sectors=%d)\n",
+			DBG("end_request for CURRENT=0x%p CURRENT(sector=%d current_nr_sectors=%d nr_sectors=%d)\n",
 				       CURRENT, CURRENT->sector, CURRENT->current_nr_sectors, CURRENT->nr_sectors);
 
 			CURRENT->nr_sectors -= CURRENT->current_nr_sectors;
@@ -498,10 +476,10 @@ static void mfm_rw_intr(void)
 
 				if (Copy_Sector != CURRENT->sector * 2)
 #ifdef DEBUG
-					/*console_printf*/printk("mfm: Copy_Sector mismatch. Copy_Sector=%d CURRENT->sector*2=%d\n",
+					DBG("Copy_Sector mismatch. Copy_Sector=%d CURRENT->sector*2=%d\n",
 					Copy_Sector, CURRENT->sector * 2);
 #else
-					printk("mfm: Copy_Sector mismatch! Eek!\n");
+					printk(KERN_ERR PFX "Copy_Sector mismatch! Eek!\n");
 #endif
 			};	/* CURRENT */
 		};	/* Sectors256LeftInCurrent */
@@ -512,7 +490,7 @@ static void mfm_rw_intr(void)
 	if (mfm_status & (STAT_DER | STAT_ABN)) {
 		/* Something has gone wrong - let's try that again */
 		if (cont) {
-			DBG("mfm_rw_intr: DER/ABN error\n");
+			DBG("DER/ABN error\n");
 			cont->error();
 			cont->redo();
 		};
@@ -534,7 +512,7 @@ static void mfm_rw_intr(void)
 		};
 	};			/* Result read */
 
-	/*console_printf ("mfm_rw_intr nearexit [%02X]\n", __raw_readb(mfm_IRQPollLoc)); */
+	/*DBG("nearexit [%02X]\n", __raw_readb(mfm_IRQPollLoc)); */
 
 	/* If end of command move on */
 	if (mfm_status & (STAT_CED)) {
@@ -543,7 +521,7 @@ static void mfm_rw_intr(void)
 		if (cont) {
 			cont->done(1);
 		}
-		DBG("mfm_rw_intr: returned from cont->done\n");
+		DBG("returned from cont->done\n");
 	} else {
 		/* Its going to generate another interrupt */
 		do_mfm = mfm_rw_intr;
@@ -552,7 +530,7 @@ static void mfm_rw_intr(void)
 
 static void mfm_setup_rw(void)
 {
-	DBG("setting up for rw...\n");
+	DBG("start\n");
 
 	do_mfm = mfm_rw_intr;
 	issue_command(raw_cmd.cmdcode, raw_cmd.cmddata, raw_cmd.cmdlen);
@@ -561,12 +539,12 @@ static void mfm_setup_rw(void)
 static void mfm_recal_intr(void)
 {
 #ifdef DEBUG
-	console_printf("recal intr - status = ");
+	DBG("status = ");
 	print_status();
 #endif
 	outw(CMD_RCAL, MFM_COMMAND);	/* Clear interrupt condition */
 	if (mfm_status & (STAT_DER | STAT_ABN)) {
-		printk("recal failed\n");
+		printk(KERN_ERR PFX "recal failed\n");
 		MFM_DRV_INFO.cylinder = NEED_2_RECAL;
 		if (cont) {
 			cont->error();
@@ -588,18 +566,18 @@ static void mfm_recal_intr(void)
 		issue_command(CMD_POL, NULL, 0);
 		return;
 	}
-	printk("recal: unknown status\n");
+	printk(KERN_ERR PFX "recal: unknown status\n");
 }
 
 static void mfm_seek_intr(void)
 {
 #ifdef DEBUG
-	console_printf("seek intr - status = ");
+	DBG("status = ");
 	print_status();
 #endif
 	outw(CMD_RCAL, MFM_COMMAND);	/* Clear interrupt condition */
 	if (mfm_status & (STAT_DER | STAT_ABN)) {
-		printk("seek failed\n");
+		printk(KERN_ERR PFX "seek failed\n");
 		MFM_DRV_INFO.cylinder = NEED_2_RECAL;
 		if (cont) {
 			cont->error();
@@ -618,7 +596,7 @@ static void mfm_seek_intr(void)
 		issue_command(CMD_POL, NULL, 0);
 		return;
 	}
-	printk("seek: unknown status\n");
+	printk(KERN_ERR PFX "seek: unknown status\n");
 }
 
 /* IDEA2 seems to work better - its what RiscOS sets my
@@ -673,7 +651,7 @@ static void mfm_seek(void)
 	DBG("seeking...\n");
 	if (MFM_DRV_INFO.cylinder < 0) {
 		do_mfm = mfm_recal_intr;
-		DBG("mfm_seek: about to call specify\n");
+		DBG("about to call specify\n");
 		mfm_specify ();	/* DAG added this */
 
 		cmdb[0] = raw_cmd.dev + 1;
@@ -696,19 +674,20 @@ static void mfm_seek(void)
 
 static void mfm_initialise(void)
 {
-	DBG("init...\n");
+	DBG("start\n");
 	mfm_seek();
 }
 
 static void request_done(int uptodate)
 {
-	DBG("mfm:request_done\n");
+	DBG("start\n");
 	if (uptodate) {
 		unsigned char block[2] = {0, 0};
 
 		/* Apparently worked - let's check bytes left to DMA */
 		if (hdc63463_dataleft != (PartFragRead_SectorsLeft * 256)) {
-			printk("mfm: request_done - dataleft=%d - should be %d - Eek!\n", hdc63463_dataleft, PartFragRead_SectorsLeft * 256);
+			printk(KERN_ERR PFX "request_done - dataleft=%d - should be %d - Eek!\n",
+				hdc63463_dataleft, PartFragRead_SectorsLeft * 256);
 			end_request(CURRENT, 0);
 			Busy = 0;
 		};
@@ -727,7 +706,8 @@ static void request_done(int uptodate)
 		/* ah well - perhaps there is another fragment to go */
 
 		/* Increment pointers/counts to start of next fragment */
-		if (SectorsLeftInRequest > 0) printk("mfm: SectorsLeftInRequest>0 - Eek! Shouldn't happen!\n");
+		if (SectorsLeftInRequest > 0)
+			printk(KERN_CRIT PFX "SectorsLeftInRequest > 0 - Eek! Shouldn't happen!\n");
 
 		/* No - its the end of the line */
 		/* end_request's should have happened at the end of sector DMAs */
@@ -736,12 +716,12 @@ static void request_done(int uptodate)
 			issue_command(CMD_CKV, block, 2);
 
 		Busy = 0;
-		DBG("request_done: About to mfm_request\n");
+		DBG("About to mfm_request\n");
 		/* Next one please */
 		mfm_request();	/* Moved from mfm_rw_intr */
-		DBG("request_done: returned from mfm_request\n");
+		DBG("returned from mfm_request\n");
 	} else {
-		printk("mfm:request_done: update=0\n");
+		DBG("update=0\n");
 		end_request(CURRENT, 0);
 		Busy = 0;
 	}
@@ -749,7 +729,7 @@ static void request_done(int uptodate)
 
 static void error_handler(void)
 {
-	printk("error detected... status = ");
+	printk(KERN_ERR PFX "error detected... status = ");
 	print_status();
 	(*errors)++;
 	if (*errors > MFM_DRV_INFO.errors.abort)
@@ -760,7 +740,7 @@ static void error_handler(void)
 
 static void rw_interrupt(void)
 {
-	printk("rw_interrupt\n");
+	DBG("start\n");
 }
 
 static struct cont rw_cont =
@@ -794,7 +774,7 @@ static void issue_request(unsigned int b
 	/* Then add in the number of sectors left on this track */
 	sectors_to_next_cyl += (p->sectors - start_sector);
 
-	DBG("issue_request: mfm_info[dev].sectors=%d track=%d\n", p->sectors, track);
+	DBG("mfm_info[dev].sectors=%d track=%d\n", p->sectors, track);
 
 	raw_cmd.dev = dev;
 	raw_cmd.sector = start_sector;
@@ -856,7 +836,7 @@ static void issue_request(unsigned int b
  */
 static void mfm_rerequest(void)
 {
-	DBG("mfm_rerequest\n");
+	DBG("start\n");
 	cli();
 	Busy = 0;
 	mfm_request();
@@ -866,12 +846,12 @@ static struct gendisk *mfm_gendisk[2];
 
 static void mfm_request(void)
 {
-	DBG("mfm_request CURRENT=%p Busy=%d\n", CURRENT, Busy);
+	DBG("CURRENT=%p Busy=%d\n", CURRENT, Busy);
 
 	/* If we are still processing then return; we will get called again */
 	if (Busy) {
 		/* Again seems to be common in 1.3.45 */
-		/*DBG*/printk("mfm_request: Exiting due to busy\n");
+		DBG("Exiting due to busy\n");
 		return;
 	}
 	Busy = 1;
@@ -880,28 +860,28 @@ static void mfm_request(void)
 		unsigned int block, nsect;
 		struct gendisk *disk;
 
-		DBG("mfm_request: loop start\n");
+		DBG("loop start\n");
 		sti();
 
-		DBG("mfm_request: before !CURRENT\n");
+		DBG("before !CURRENT\n");
 
 		if (!CURRENT) {
-			printk("mfm_request: Exiting due to empty queue (pre)\n");
+			DBG("Exiting due to empty queue (pre)\n");
 			do_mfm = NULL;
 			Busy = 0;
 			return;
 		}
 
-		DBG("mfm_request:                 before arg extraction\n");
+		DBG("before arg extraction\n");
 
 		disk = CURRENT->rq_disk;
 		block = CURRENT->sector;
 		nsect = CURRENT->nr_sectors;
 		if (block >= get_capacity(disk) ||
 		    block+nsect > get_capacity(disk)) {
-			printk("%s: bad access: block=%d, count=%d, nr_sects=%ld\n",
+			printk(KERN_ERR "%s: bad access: block=%d, count=%d, nr_sects=%ld\n",
 			       disk->disk_name, block, nsect, get_capacity(disk));
-			printk("mfm: continue 1\n");
+			DBG("continue 1\n");
 			end_request(CURRENT, 0);
 			Busy = 0;
 			continue;
@@ -917,25 +897,25 @@ static void mfm_request(void)
 		Copy_buffer = CURRENT->buffer;
 		Copy_Sector = CURRENT->sector << 1;
 
-		DBG("mfm_request: block after offset=%d\n", block);
+		DBG("block after offset=%d\n", block);
 
 		if (CURRENT->cmd != READ && CURRENT->cmd != WRITE) {
-			printk("unknown mfm-command %d\n", CURRENT->cmd);
+			printk(KERN_ERR "unknown mfm-command %d\n", CURRENT->cmd);
 			end_request(CURRENT, 0);
 			Busy = 0;
-			printk("mfm: continue 4\n");
+			DBG("continue 4\n");
 			continue;
 		}
 		issue_request(block, nsect, CURRENT);
 
 		break;
 	}
-	DBG("mfm_request: Dropping out bottom\n");
+	DBG("Dropping out bottom\n");
 }
 
 static void do_mfm_request(request_queue_t *q)
 {
-	DBG("do_mfm_request: about to mfm_request\n");
+	DBG("about to mfm_request\n");
 	mfm_request();
 }
 
@@ -945,7 +925,7 @@ static void mfm_interrupt_handler(int un
 
 	do_mfm = NULL;
 
-	DBG("mfm_interrupt_handler (handler=0x%p)\n", handler);
+	DBG("(handler=0x%p)\n", handler);
 
 	mfm_status = inw(MFM_STATUS);
 
@@ -965,7 +945,7 @@ static void mfm_interrupt_handler(int un
 		return;
 	}
 	outw (CMD_RCAL, MFM_COMMAND);	/* Clear interrupt condition */
-	printk ("mfm: unexpected interrupt - status = ");
+	printk (KERN_WARNING PFX "unexpected interrupt - status = ");
 	print_status ();
 	while (1);
 }
@@ -983,7 +963,7 @@ static void mfm_geometry(int drive)
 	struct gendisk *disk = mfm_gendisk[drive];
 	disk->private_data = p;
 	if (p->cylinders)
-		printk ("%s: %dMB CHS=%d/%d/%d LCC=%d RECOMP=%d\n",
+		pr_info ("%s: %dMB CHS=%d/%d/%d LCC=%d RECOMP=%d\n",
 			disk->disk_name,
 			p->cylinders * p->heads * p->sectors / 4096,
 			p->cylinders, p->heads, p->sectors,
@@ -1095,7 +1075,8 @@ static int mfm_initdrives(void)
 
 	if (number_mfm_drives > MFM_MAXDRIVES) {
 		number_mfm_drives = MFM_MAXDRIVES;
-		printk("No. of ADFS MFM drives is greater than MFM_MAXDRIVES - you can't have that many!\n");
+		printk(KERN_WARNING "No. of ADFS MFM drives is greater than "
+			"MFM_MAXDRIVES - you can't have that many!\n");
 	}
 
 	for (drive = 0; drive < number_mfm_drives; drive++) {
@@ -1177,7 +1158,7 @@ void xd_set_geometry(struct block_device
 		p->cylinders = discsize / (secsptrack * heads * secsize);
 
 		if ((heads < 1) || (p->cylinders > 1024)) {
-			printk("%s: Insane disc shape! Setting to 512/4/32\n",
+			printk(KERN_WARNING "%s: Insane disc shape! Setting to 512/4/32\n",
 				bdev->bd_disk->disk_name);
 
 			/* These values are fairly arbitary, but are there so that if your
@@ -1238,7 +1219,7 @@ static int mfm_do_init(unsigned char irq
 {
 	int i, ret;
 
-	printk("mfm: found at address %08X, interrupt %d\n", mfm_addr, mfm_irq);
+	pr_info(PFX "controller found at address %08X, interrupt %d\n", mfm_addr, mfm_irq);
 
 	ret = -EBUSY;
 	if (!request_region (mfm_addr, 10, "mfm"))
@@ -1277,11 +1258,11 @@ static int mfm_do_init(unsigned char irq
 		mfm_gendisk[i] = disk;
 	}
 
-	printk("mfm: detected %d hard drive%s\n", mfm_drives,
+	pr_info(PFX "detected %d hard drive%s\n", mfm_drives,
 				mfm_drives == 1 ? "" : "s");
 	ret = request_irq(mfm_irq, mfm_interrupt_handler, SA_INTERRUPT, "MFM harddisk", NULL);
 	if (ret) {
-		printk("mfm: unable to get IRQ%d\n", mfm_irq);
+		printk(KERN_ERR PFX "unable to get IRQ%d\n", mfm_irq);
 		goto out4;
 	}
 
--- a/drivers/acpi/container.c
+++ b/drivers/acpi/container.c
@@ -164,7 +164,7 @@ static void container_notify_cb(acpi_han
 	case ACPI_NOTIFY_BUS_CHECK:
 		/* Fall through */
 	case ACPI_NOTIFY_DEVICE_CHECK:
-		printk("Container driver received %s event\n",
+		printk(KERN_INFO "Container driver received %s event\n",
 		       (type == ACPI_NOTIFY_BUS_CHECK) ?
 		       "ACPI_NOTIFY_BUS_CHECK" : "ACPI_NOTIFY_DEVICE_CHECK");
 		status = acpi_bus_get_device(handle, &device);
